#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeframever	6.16
%define		qtver		5.15.2
%define		kfname		purpose

Summary:	Offers available actions for a specific purpose
Name:		kf6-%{kfname}
Version:	6.16.0
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	76bb36d17d88096f87e7cfb3512e9331
URL:		http://www.kde.org/
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	Qt6Test-devel >= %{qtver}
BuildRequires:	cmake >= 3.16
BuildRequires:	gettext-devel
BuildRequires:	ka6-kaccounts-integration-devel
BuildRequires:	kf6-extra-cmake-modules >= %{version}
BuildRequires:	kf6-kconfig-devel >= %{version}
BuildRequires:	kf6-kcoreaddons-devel >= %{version}
BuildRequires:	kf6-ki18n-devel >= %{version}
BuildRequires:	kf6-kio-devel >= %{version}
BuildRequires:	kf6-kirigami-devel >= %{version}
BuildRequires:	libaccounts-glib-devel
BuildRequires:	libaccounts-qt6-devel
BuildRequires:	libsignon-qt6-devel >= 8.55
BuildRequires:	libutempter-devel
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	kf6-dirs
#Obsoletes:	kf5-%{kfname} < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt6dir		%{_libdir}/qt6

%description
This framework offers the possibility to create integrate services and
actions on any application without having to implement them
specifically. Purpose will offer them mechanisms to list the different
alternatives to execute given the requested action type and will
facilitate components so that all the plugins can receive all the
information they need.

%package twitter
Summary:	Twitter plugin for purpose
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	kf5-%{kfname}-twitter < %{version}

%description twitter
Twitter plugin for purpose.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
#Obsoletes:	kf5-%{kfname}-devel < %{version}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON

%ninja_build -C build

%if %{with tests}
%ninja_build -C build test
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kfname}6 --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{kfname}6.lang
%defattr(644,root,root,755)
%ghost %{_libdir}/libKF6Purpose.so.6
%attr(755,root,root) %{_libdir}/libKF6Purpose.so.*.*
%ghost %{_libdir}/libKF6PurposeWidgets.so.6
%attr(755,root,root) %{_libdir}/libKF6PurposeWidgets.so.*.*
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kfileitemaction/sharefileitemaction.so
%dir %{_libdir}/qt6/plugins/kf6/purpose
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/purpose/barcodeplugin.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/purpose/bluetoothplugin.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/purpose/clipboardplugin.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/purpose/emailplugin.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/purpose/imgurplugin.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/purpose/kdeconnectplugin.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/purpose/kdeconnectsmsplugin.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/purpose/pastebinplugin.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/purpose/phabricatorplugin.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/purpose/reviewboardplugin.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/purpose/saveasplugin.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/purpose/telegramplugin.so
%{_libdir}/qt6/qml/org/kde/purpose/AlternativesView.qml
%{_libdir}/qt6/qml/org/kde/purpose/JobView.qml
%{_libdir}/qt6/qml/org/kde/purpose/kde-qmlmodule.version
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/purpose/libpurposequickplugin.so
%dir %{_libdir}/qt6/qml/org/kde/purpose/phabricator
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/purpose/phabricator/libphabricatorquickplugin.so
%dir %{_libdir}/qt6/qml/org/kde/purpose
%{_libdir}/qt6/qml/org/kde/purpose/phabricator/qmldir
%{_libdir}/qt6/qml/org/kde/purpose/purposequickplugin.qmltypes
%{_libdir}/qt6/qml/org/kde/purpose/qmldir
%dir %{_libdir}/qt6/qml/org/kde/purpose/reviewboard
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/purpose/reviewboard/librbpurposequickplugin.so
%{_libdir}/qt6/qml/org/kde/purpose/reviewboard/qmldir
%{_prefix}/libexec/kf6/purposeprocess
%{_iconsdir}/hicolor/128x128/apps/phabricator-purpose6.png
%{_iconsdir}/hicolor/128x128/apps/reviewboard-purpose6.png
%{_iconsdir}/hicolor/16x16/apps/phabricator-purpose6.png
%{_iconsdir}/hicolor/16x16/apps/reviewboard-purpose6.png
%dir %{_datadir}/kf6/purpose
%{_datadir}/kf6/purpose/barcodeplugin_config.qml
%{_datadir}/kf6/purpose/bluetoothplugin_config.qml
%{_datadir}/kf6/purpose/kdeconnectplugin_config.qml
%{_datadir}/kf6/purpose/phabricatorplugin_config.qml
%{_datadir}/kf6/purpose/reviewboardplugin_config.qml
%{_datadir}/kf6/purpose/saveasplugin_config.qml
%{_datadir}/qlogging-categories6/purpose.categories
%{_datadir}/qlogging-categories6/purpose.renamecategories

%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/purpose/nextcloudplugin.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/purpose/youtubeplugin.so
%{_datadir}/accounts/services/kde/google-youtube.service
%{_datadir}/accounts/services/kde/nextcloud-upload.service
%{_datadir}/kf6/purpose/nextcloudplugin_config.qml
%{_datadir}/kf6/purpose/youtubeplugin_config.qml

%dir %{_libdir}/qt6/qml/org/kde/purpose/kdeconnect
%{_libdir}/qt6/qml/org/kde/purpose/kdeconnect/kde-qmlmodule.version
%{_libdir}/qt6/qml/org/kde/purpose/kdeconnect/kdeconnectQml.qmltypes
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/purpose/kdeconnect/libkdeconnectQml.so
%{_libdir}/qt6/qml/org/kde/purpose/kdeconnect/qmldir

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF6/Purpose
%{_includedir}/KF6/PurposeWidgets
%{_libdir}/cmake/KF6Purpose
%{_libdir}/libKF6Purpose.so
%{_libdir}/libKF6PurposeWidgets.so
%changelog
* Fri Jul 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf6-purpose.git;a=log;h=master

* Fri Jul 11 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 9729684
- updated to 6.16.0

* Fri Jun 13 2025 Witold Filipczyk <witekfl@poczta.onet.pl> bb9746b
- updated to 6.15.0

* Sat May 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> f06f369
- updated to 6.14.0

* Sat Apr 12 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 67db1b4
- updated to 6.13.0

* Sun Mar 16 2025 Witold Filipczyk <witekfl@poczta.onet.pl> af95843
- updated to 6.12.0

* Sat Feb 22 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 37c16db
- relup

* Sat Feb 15 2025 Witold Filipczyk <witekfl@poczta.onet.pl> fc63f45
- updated to 6.11.0

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> ec32ce2
- updated to 6.10.0

* Fri Dec 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 7df48e0
- updated to 6.9.0

* Fri Nov 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 8f98e94
- updated to 6.8.0

* Fri Oct 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 93c7e4b
- updated to 6.7.0

* Thu Sep 19 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 4800a96
- dir

* Thu Sep 19 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 80e8973
- BR: libsignon-qt6-devel

* Thu Sep 19 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 2fa27e9
- BR: libaccounts-qt6-devel

* Sat Sep 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> ed50492
- updated to 6.6.0

* Sun Aug 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 1edc130
- updated to 6.5.0

* Wed Aug 07 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 14bcd9e
- relup

* Sat Jul 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> b73ad51
- updated to 6.4.0

* Sat Jun 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 4af023c
- updated to 6.3.0

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 2ecbff5
- Obsoletes kf5

